EC-CUBEが使えそうなレンタルサーバ(1)

EC-CUBEが使えそうなレンタルサーバ(1)

EC-CUBEEC-CUBEが使えそうなレンタルサーバ(1)

株式会社ロックオン がオープンソース提供している EC サイト構築キット、EC-CUBE ですが、これを動作させるために必要な条件は下記の通り。

・PHP4.4.x以降(PHP5.0.xも含む)
・PostgreSQL7.4.x以降またはMySQL4.1以降(MySQL5.0.xも含む)
・apache(IISはあまり情報がない)

さて、ここで結構話題となっているのが、レンタルサーバで使用できるデータベースが MySQL4.0 または MySQL3.x 系だから試せないということ。しかし、逆にこのレンタルサーバだと動作できるという情報があまり出回ってない。

そこで、EC-CUBE が使えそうな(使える)レンタルサーバを何社か調べてみました。 (ただし、新規で契約した場合に割り当てられるサーバで、既存の契約ユーザーの環境は古いままという可能性もあります)

クララオンライン
2007年2月に MySQL が 4.1 となっています。
ここには載せれるのではないでしょうか。
EC サイトに必須とも言われている SSL もオプションですが対応しています。

■さくらインターネット
MySQL は 4.0 系です。また SSL も対応していません。
専用サーバだと条件は違ってくると思いますが、
手軽で安いプランだと難しいですね。(SSLが特に)

2009 年 2 月 5 日から対応しました。
・さくらインターネットでEC-CUBE稼働

http://www.sakura.ad.jp/ にもいろいろプランがあるみたいです。

■ロリポップ
ここも MySQL は 4.0 系で、バージョンアップの予定もないとのこと。
SSL も使用できないのでやはり EC サイトとしては不向きですね。

EC サイトをやろうと思うなら、やはり月額でそれなりに金額を支払うのも仕方がないのが現実かもしれません。月額数百円で動作は可能でも、セキュリティが甘かったり、サーバが共有では個人情報保護の観点からも信用されないような気もします。

安くて条件もバッチリなレンタルサーバが見つかるのが一番いいのですけどね(笑)私が個人で契約しているレンタルサーバは xbit ですが、月額1050円(年払い)で MySQL4.1 系です。SSL も対応なので手頃ではありますが、私が契約した時期は MySQL3 系なのですよね・・・(^^;

あと、apache のドキュメントルートが eccube/html と指定できる自由度も欲しいですね。最悪、.htaccess で制御できますが。

▼EC-CUBEマニュアルサイト
http://wiki.ec-cube.net/

最終更新日:

関連記事

人気記事

新着情報